using Hotline.Share.Dtos.ExportWord;

namespace Hotline.Application.ExportWord
{
    public interface IWordExportService
    {
        Task<ExportByteWord> TemplateCreateWordAsync<T>(string templatePath, T data) where T : IWordExportTemplate;

        ExportByteWord TemplateCreateWord<T>(string templatePath, T data) where T : IWordExportTemplate;

        Task<IEnumerable<ExportByteWord>> TemplateCreateWordAsync<T>(string templatePath, IEnumerable<T> data) where T : IWordExportTemplate;

        IEnumerable<ExportByteWord> TemplateCreateWord<T>(string templatePath, IEnumerable<T> data) where T : IWordExportTemplate;
    }
}
